Name:           perl-Data-Alias
Version:        1.07
Release:        1%{?dist}
Summary:        Comprehensive set of aliasing operations
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Alias/
Source0:        http://www.cpan.org/authors/id/X/XM/XMATH/Data-Alias-%{version}.tar.gz
#Source0:        http://cds.xs4all.nl:8081/tmp/d-a/Data-Alias-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)

# perl(base) oddness
Source99: filter-requires.sh
%define __perl_requires %{SOURCE99}

# and the missing -- core! -- requires
Requires:       perl(Exporter), perl(DynaLoader)


%description
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.


%prep
%setup -q -n Data-Alias-%{version} -n Data-Alias-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir --ignore-fail-on-non-empty {} +

%{_fixperms} %{buildroot}/*


%check
make test

# don't package these
rm -rf t/lib/Test

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Data*
%{_mandir}/man3/*


%changelog
* Mon Nov 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.07-1
- update to 1.07

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.06-2
- bump

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- update to 1.06
- license tag: GPL -> GPL+

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.05-1
- update to 1.05

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.04-1
- update to 1.04
- add t/ to %%doc
- perl splittage BR's added

* Mon Mar 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- update to 1.03

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.02-1
- update to 1.02

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.01-1
- update to 1.01

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-3
- bump for mass rebuild

* Thu Aug 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-2
- bump for build & release

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
